<div ng-controller="ArchivoClienteController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a ui-sref="admin.container.lista_cliente">Contenedor</a>
          </li>
          <li>
            <a>Gestión Archivos</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
              <div class="col-md-4">
                <div>
                  SEMANA : <strong>{{semana.nombre | uppercase}}</strong>
                </div>                
              </div>
              <div class="col-md-4">
                <!-- <div>
                  <button type="button" class="btn btn-orange btn-rounded-10 btn-block btn-border"><i class="fa fa-files-o"></i> gestión de archivos</button>
                </div> -->
              </div>
              <div class="col-md-4">
                <div>
                  <div class="pull-right">
                    <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="admin.container.lista_cliente"><i class="fa fa-arrow-left"></i>  Regresar</a>
                  </div>
                </div>
              </div>
            </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-files-o"></i> GESTIÓN DE ARCHIVOS</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-12">
                  <div class="row">
                    <!-- 1 Facturas -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-layers"></i> Facturas</h3>
                        </div>
                        <div class="col-md-4">
                          
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoading">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoading">
                        <div class="col-md-12" ng-if="facturas.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado facturas para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="facturas.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-hover table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center"><small>#</small></th>
                                        <th><small>NOMBRE ARCHIVO</small></th>
                                        <th><small>CLIENTE</small></th>
                                        <th class="text-center"><small>FECHA SUBIDA</small></th>
                                        <th class="text-center"><small>HORA SUBIDA</small></th>
                                        <th class="text-center"><small>OPCIONES</small></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr dir-paginate="factura in facturas |filter: buscar | itemsPerPage: 5" pagination-id="factura.id">
                                        <td class="text-center"><small>{{$index + 1 }}</small></td>
                                        <td><small>{{factura.nombre}}</small></td>
                                        <td><small>{{factura.cliente | uppercase}}</small></td>
                                        <td class="text-center"><small>{{factura.fecha}}</small></td>
                                        <td class="text-center"><small>{{factura.hora}}</small></td>
                                        <td class="text-center">
                                            <div class="input-group-btn">
                                              <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR FACTURA {{factura.nombre}}" ng-click="load(factura,1);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                              <button class="btn btn-default btn-border btn-radius-right" title="VER  FACTURA {{factura.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(factura,1);preview($event);"><i class="icon-eye text-blue"></i></button>
                                        </td>
                                    </tr>
                                </tbody>
                              </table>
                            </div>
                            <div class="text-center">
                              <small><dir-pagination-controls pagination-id="factura.id"></dir-pagination-controls></small>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                    <!-- 2 Pakings -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-list"></i> Pakings</h3>
                        </div>
                        <div class="col-md-4">
                          
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoading">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoading">
                        <div class="col-md-12" ng-if="packings.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado packings para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="packings.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-hover table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center"><small>#</small></th>
                                        <th><small>NOMBRE ARCHIVO</small></th>
                                        <th><small>CLIENTE</small></th>
                                        <th class="text-center"><small>FECHA SUBIDA</small></th>
                                        <th class="text-center"><small>HORA SUBIDA</small></th>
                                        <th class="text-center"><small>OPCIONES</small></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr dir-paginate="packing in packings |filter: buscar | itemsPerPage: 5" pagination-id="packing.id">
                                        <td class="text-center"><small>{{$index + 1 }}</small></td>
                                        <td><small>{{packing.nombre}}</small></td>
                                        <td><small>{{packing.cliente | uppercase}}</small></td>
                                        <td class="text-center"><small>{{packing.fecha}}</small></td>
                                        <td class="text-center"><small>{{packing.hora}}</small></td>
                                        <td class="text-center">
                                            <div class="input-group-btn">
                                              <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR PACKING {{packing.nombre}}" ng-click="load(packing,2);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                              <button class="btn btn-default btn-border btn-radius-right" title="VER  PACKING {{packing.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(packing,2);preview($event);"><i class="icon-eye text-blue"></i></button>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                              </table>
                            </div>
                            <div class="text-center">
                              <small><dir-pagination-controls pagination-id="packing.id"></dir-pagination-controls></small>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                    <!-- 3 Certificados -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-notebook"></i> Certificados</h3>
                        </div>
                        <div class="col-md-4">
                          
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoading">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoading">
                        <div class="col-md-12" ng-if="certificados.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado certificados para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="certificados.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-bordered">
                                  <thead>
                                      <tr>
                                          <th><small>#</small></th>
                                          <th><small>NOMBRE ARCHIVO</small></th>
                                          <th><small>CLIENTE</small></th>
                                          <th><small>FECHA SUBIDA</small></th>
                                          <th><small>HORA SUBIDA</small></th>
                                          <th class="text-center" colspan="2"><small>CONTENEDORES</small></th>
                                          <th class="text-center"><small>OPCIONES</small></th>
                                      </tr>
                                  </thead>
                                  <tbody dir-paginate="certificado in certificados |filter: buscar | itemsPerPage: 4" pagination-id="certificado.id">
                                      <tr>
                                          <td rowspan="{{certificado.contenedores.length+1}}"><small>{{$index + 1 }}</small></td>
                                          <td rowspan="{{certificado.contenedores.length+1}}"><small>{{certificado.nombre}}</small></td>
                                          <td rowspan="{{certificado.contenedores.length+1}}"><small>{{certificado.cliente | uppercase}}</small></td>
                                          <td class="text-center" rowspan="{{certificado.contenedores.length+1}}"><small>{{certificado.fecha}}</small></td>
                                          <td class="text-center" rowspan="{{certificado.contenedores.length+1}}"><small>{{certificado.hora}}</small></td>
                                          <td style="background:#F2F2F2"><small>NUMERO</small></td>
                                          <td style="background:#F2F2F2"><small>REFERENCIA</small></td>
                                          <td class="text-center" rowspan="{{certificado.contenedores.length+1}}">
                                            <div class="input-group-btn">
                                              <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR CERTIFICADO {{certificado.nombre}}" ng-click="load(certificado,3);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                              <button class="btn btn-default btn-border btn-radius-right" title="VER  CERTIFICADO {{certificado.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(certificado,3);preview($event);"><i class="icon-eye text-certificadoue"></i></button>
                                            </div>
                                          </td>
                                      </tr>
                                      <tr ng-repeat="contenedor in certificado.contenedores">
                                        <td class="text-center">{{contenedor.numero | uppercase}}</td>
                                        <td class="text-center">{{contenedor.referencia}}</td>
                                      </tr>
                                  </tbody>
                              </table>
                            </div>
                            <div class="pull-right">
                              <dir-pagination-controls pagination-id="certificado.id"></dir-pagination-controls>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                    <!-- 5 Valijas -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-bag"></i> Valijas</h3>
                        </div>
                        <div class="col-md-4">
                          
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoading">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoading">
                        <div class="col-md-12" ng-if="valijas.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado valijas para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="valijas.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-bordered">
                                  <thead>
                                      <tr>
                                          <th><small>#</small></th>
                                          <th><small>NOMBRE ARCHIVO</small></th>
                                          <th><small>CLIENTE</small></th>
                                          <th><small>FECHA SUBIDA</small></th>
                                          <th><small>HORA SUBIDA</small></th>
                                          <th class="text-center" colspan="2"><small>CONTENEDORES</small></th>
                                          <th class="text-center"><small>OPCIONES</small></th>
                                      </tr>
                                  </thead>
                                  <tbody dir-paginate="valija in valijas |filter: buscar | itemsPerPage: 4" pagination-id="valija.id">
                                      <tr>
                                          <td rowspan="{{valija.contenedores.length+1}}"><small>{{$index + 1 }}</small></td>
                                          <td rowspan="{{valija.contenedores.length+1}}"><small>{{valija.nombre}}</small></td>
                                          <td rowspan="{{valija.contenedores.length+1}}"><small>{{valija.cliente | uppercase}}</small></td>
                                          <td class="text-center" rowspan="{{valija.contenedores.length+1}}"><small>{{valija.fecha}}</small></td>
                                          <td class="text-center" rowspan="{{valija.contenedores.length+1}}"><small>{{valija.hora}}</small></td>
                                          <td style="background:#F2F2F2"><small>NUMERO</small></td>
                                          <td style="background:#F2F2F2"><small>REFERENCIA</small></td>
                                          <td class="text-center" rowspan="{{valija.contenedores.length+1}}">
                                            <div class="input-group-btn">
                                              <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR CERTIFICADO {{valija.nombre}}" ng-click="load(valija,5);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                              <button class="btn btn-default btn-border btn-radius-right" title="VER  CERTIFICADO {{valija.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(valija,5);preview($event);"><i class="icon-eye text-valijaue"></i></button>
                                            </div>
                                          </td>
                                      </tr>
                                      <tr ng-repeat="contenedor in valija.contenedores">
                                        <td class="text-center">{{contenedor.numero | uppercase}}</td>
                                        <td class="text-center">{{contenedor.referencia}}</td>
                                      </tr>
                                  </tbody>
                              </table>
                            </div>
                            <div class="pull-right">
                              <dir-pagination-controls pagination-id="valija.id"></dir-pagination-controls>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                    <!-- 6 Otros Archivos -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-grid"></i> Otros Archivos</h3>
                        </div>
                        <div class="col-md-4">
                          
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoadingOtros">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoadingOtros">
                        <div class="col-md-12" ng-if="otros_archivos.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado otro tipo de archivos para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="otros_archivos.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-hover table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center"><small>#</small></th>
                                        <th><small>NOMBRE ARCHIVO</small></th>
                                        <th class="text-center"><small>EXTENSIÓN</small></th>
                                        <th class="text-center"><small>FECHA SUBIDA</small></th>
                                        <th class="text-center"><small>HORA SUBIDA</small></th>
                                        <th class="text-center"><small>OPCIONES</small></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr dir-paginate="otro_archivo in otros_archivos |filter: buscar | itemsPerPage: 5" pagination-id="otro_archivo.id">
                                        <td class="text-center"><small>{{$index + 1 }}</small></td>
                                        <td><small>{{otro_archivo.nombre}}</small></td>
                                        <td class="text-center"><small><span ng-if="otro_archivo.tipo === 1">WORD</span><span ng-if="otro_archivo.tipo === 2">EXCEL</span><span ng-if="otro_archivo.tipo === 3">PDF</span></small></td>
                                        <td class="text-center"><small>{{otro_archivo.fecha}}</small></td>
                                        <td class="text-center"><small>{{otro_archivo.hora}}</small></td>
                                        <td class="text-center">
                                            <div class="input-group-btn">
                                              <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR ARCHIVO {{otro_archivo.nombre}}" ng-click="load(otro_archivo,6);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                              <button class="btn btn-default btn-border btn-radius-right" title="VER  ARCHIVO {{otro_archivo.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(otro_archivo,6);preview($event);"><i class="icon-eye text-blue"></i></button>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                              </table>
                            </div>
                            <div class="text-center">
                              <small><dir-pagination-controls pagination-id="otro_archivo.id"></dir-pagination-controls></small>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="archivo_preview_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <h3 class="modal-title font-ligth">Visor de Archivos</h3>
      </div>            
    </div>
    <div class="modal-body">
      <div class="text-center">
        <div class="row">
          <div class="col-md-12">
            <embed src="{{ruta}}" width="100%" toolbar=0 height="500px">
            </embed>
          </div>
        </div>
        <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> cerrar</button>
      </div>
    </div>
  </script>
</div>